package projectzombie.items.spawner;

import gl_engine.vec.Vec3d;
import projectzombie.entity.EntityDummy;
import projectzombie.init.Models;
import projectzombie.items.ItemSpawn;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemSpawnDummy extends ItemSpawn
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_SPAWN_DUMMY;
	}
	
	@Override
	public void spawnEntity(Layer layer, Vec3d pos, Vec3d velocity) {
		layer.spawnEntity(new EntityDummy(pos, velocity));
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Spawn Dummy";
	}

}
